import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import java.awt.event.*;

public class LabMenuBar extends JMenuBar {
   public LabMenuBar(InsertElementListener iel, SimulatorListener sl) {
      JMenu menu = new JMenu ("Insert");
      add(menu);
      JMenuItem menuItem = new JMenuItem("Mass");
      menuItem.addActionListener(iel);
      menu.add(menuItem);
      menuItem = new JMenuItem("Spring");
      menuItem.addActionListener(iel);
      menu.add(menuItem);
      menuItem = new JMenuItem("String");
      menuItem.addActionListener(iel);
      menu.add(menuItem);
      JMenu subMenu = new JMenu("System");
      menu.add(subMenu);
      menuItem = new JMenuItem("Pendulum");
      menuItem.addActionListener(iel);
      subMenu.add(menuItem);
      menu = new JMenu("Simulator");
      add(menu);
      menuItem = new JMenuItem("Start");
      menuItem.addActionListener(sl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Stop");
      menuItem.addActionListener(sl);
      menu.add(menuItem);
      subMenu = new JMenu("Setting");
      menu.add(subMenu);
      menuItem = new JMenuItem("Delta t");
      menuItem.addActionListener(sl);
      subMenu.add(menuItem);
      menuItem = new JMenuItem("Refresh time");
      menuItem.addActionListener(sl);
      subMenu.add(menuItem);
      JMenu subMenu2 = new JMenu("Physic Setting"); // Add Phiysic Setting to the Stteing menu.
      menu.add(subMenu2);
      JMenu subMenu3 = new JMenu("Gravity");
      subMenu2.add(subMenu3);
      menuItem = new JMenuItem("On");
      menuItem.addActionListener(sl);
      subMenu3.add(menuItem);
      menuItem = new JMenuItem("Off");
      menuItem.addActionListener(sl);
      subMenu3.add(menuItem);
   }
}